Subject: bug#1343: bug#27397: [PATCH] New commands for bulk tracing of elisp functions

From: Phil Sainty <[email-masked]>
Date: Fri, 15 Jul 2022 16:08:46 +1200

After a brief hiatus, I've resumed (maybe completed) my work on this.

The branch scratch/bulk-tracing contains the updated code for Emacs 29
(rebased over master).

NEWS is:

*** New commands 'trace-package', 'trace-regexp', and 'trace-library'
(and their counterparts 'untrace-package', 'untrace-regexp', and
'untrace-library') allow for the bulk tracing of calls to functions
with names matching a specified prefix or regexp, or functions defined
by a specified file.  New command 'trace-currently-traced' lists the
traced function symbols.

-Phil